# Vector (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.vector
Class Vector

    java.lang.Object
      org.lwjgl.util.vector.Vector

All Implemented Interfaces:
  java.io.Serializable, ReadableVector

Direct Known Subclasses:
  Quaternion, Vector2f, Vector3f, Vector4f

    public abstract class Vector

extends java.lang.Object
implements java.io.Serializable, ReadableVector

Base class for vectors.

Version:
  $Revision$ $Id$
Author:
  cix_foo <cix_foo@users.sourceforge.net>
See Also:
  Serialized Form

Constructor Summary
`protected` `Vector()` Constructor for Vector.

Method Summary
`float` `length()`
`abstract float` `lengthSquared()`
`abstract Vector` `load(java.nio.FloatBuffer buf)` Load this vector from a FloatBuffer
`abstract Vector` `negate()` Negate a vector
`Vector` `normalise()` Normalise this vector
`abstract Vector` `scale(float scale)` Scale this vector
`abstract Vector` `store(java.nio.FloatBuffer buf)` Store this vector in a FloatBuffer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vector

    protected Vector()

  Constructor for Vector.

Method Detail

### length

    public final float length()

  Specified by:
    `length` in interface `ReadableVector`
  Returns:
    the length of the vector

### lengthSquared

    public abstract float lengthSquared()

  Specified by:
    `lengthSquared` in interface `ReadableVector`
  Returns:
    the length squared of the vector

### load

    public abstract Vector load(java.nio.FloatBuffer buf)

  Load this vector from a FloatBuffer

  Parameters:
    `buf` - The buffer to load it from, at the current position
  Returns:
    this

### negate

    public abstract Vector negate()

  Negate a vector

  Returns:
    this

### normalise

    public final Vector normalise()

  Normalise this vector

  Returns:
    this

### store

    public abstract Vector store(java.nio.FloatBuffer buf)

  Store this vector in a FloatBuffer

  Specified by:
    `store` in interface `ReadableVector`
  Parameters:
    `buf` - The buffer to store it in, at the current position
  Returns:
    this

### scale

    public abstract Vector scale(float scale)

  Scale this vector

  Parameters:
    `scale` - The scale factor
  Returns:
    this

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.